<?php
/**
 * HomePage Pagination
 *
 * @package Pets
 */

$menus['blog']['child']['blog-pagination'] = array(
	'title' => esc_html__( 'Pagination', 'pets' ),
	'desc'  => esc_html__( 'From here, you can control the elements of pagination.', 'pets' ),
);

// Dependency check - Default and Numbered pagination.
$default_pagination_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'mts_pagenavigation_type',
		'value'      => '2',
		'comparison' => '!=',
	),
);

// Dependency check the load more button.
$loadmore_button_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'mts_pagenavigation_type',
		'value'      => '2',
		'comparison' => '==',
	),
);

$sections['blog-pagination'] = array(

	array(
		'id'       => 'mts_pagenavigation_type',
		'type'     => 'radio',
		'title'    => esc_html__( 'Pagination Type', 'pets' ),
		'sub_desc' => esc_html__( 'Select pagination type.', 'pets' ),
		'options'  => array(
			'0' => esc_html__( 'Default (Next / Previous)', 'pets' ),
			'1' => esc_html__( 'Numbered (1 2 3 4...)', 'pets' ),
			'2' => esc_html__( 'AJAX (Load More Button)', 'pets' ),
			'3' => esc_html__( 'AJAX (Auto Infinite Scroll)', 'pets' ),
		),
		'std'      => '1',
	),

	array(
		'id'         => 'pagenavigation_alignment',
		'type'       => 'button_set',
		'title'      => esc_html__( 'Pagination Alignment', 'pets' ),
		'sub_desc'   => esc_html__( 'Choose pagination alignment from here.', 'pets' ),
		'options'    => array(
			'left'   => esc_html__( 'Left', 'pets' ),
			'center' => esc_html__( 'Center', 'pets' ),
			'right'  => esc_html__( 'Right', 'pets' ),
		),
		'std'        => 'center',
		'dependency' => $default_pagination_dependency,
	),

	array(
		'id'         => 'load_more_alignment',
		'type'       => 'button_set',
		'title'      => esc_html__( 'Load More Alignment', 'pets' ),
		'sub_desc'   => esc_html__( 'Choose the load more alignment from here.', 'pets' ),
		'options'    => array(
			'left'   => esc_html__( 'Left', 'pets' ),
			'center' => esc_html__( 'Center', 'pets' ),
			'right'  => esc_html__( 'Right', 'pets' ),
			'full'   => esc_html__( 'Full Width', 'pets' ),
		),
		'std'        => 'center',
		'dependency' => $loadmore_button_dependency,
	),

	array(
		'id'         => 'mts_pagenavigation_bgcolor',
		'type'       => 'color',
		'title'      => esc_html__( 'Pagination background color', 'pets' ),
		'sub_desc'   => esc_html__( 'Select pagination background color.', 'pets' ),
		'std'        => '#ffffff',
		'dependency' => $default_pagination_dependency,
	),
	array(
		'id'         => 'load_more_bgcolor',
		'type'       => 'color',
		'title'      => esc_html__( 'Load More background color', 'pets' ),
		'sub_desc'   => esc_html__( 'Select background color for load more button.', 'pets' ),
		'std'        => pets_get_settings( 'secondary_color_scheme' ),
		'dependency' => $loadmore_button_dependency,
	),
	array(
		'id'         => 'mts_pagenavigation_hover_bgcolor',
		'type'       => 'color',
		'title'      => esc_html__( 'Pagination background hover color', 'pets' ),
		'sub_desc'   => esc_html__( 'Select pagination background hover color.', 'pets' ),
		'std'        => pets_get_settings( 'secondary_color_scheme' ),
		'dependency' => $default_pagination_dependency,
	),
	array(
		'id'         => 'load_more_hover_bgcolor',
		'type'       => 'color',
		'title'      => esc_html__( 'Load More background hover color', 'pets' ),
		'sub_desc'   => esc_html__( 'Select background hover color for load more button.', 'pets' ),
		'std'        => pets_get_settings( 'primary_color_scheme' ),
		'dependency' => $loadmore_button_dependency,
	),
	array(
		'id'         => 'mts_pagenavigation_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Pagination color', 'pets' ),
		'sub_desc'   => esc_html__( 'Select pagination color.', 'pets' ),
		'std'        => '#3a4749',
		'dependency' => $default_pagination_dependency,
	),
	array(
		'id'         => 'load_more_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Load More color', 'pets' ),
		'sub_desc'   => esc_html__( 'Select color for load more button.', 'pets' ),
		'std'        => '#ffffff',
		'dependency' => $loadmore_button_dependency,
	),
	array(
		'id'         => 'mts_pagenavigation_hover_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Pagination hover color', 'pets' ),
		'sub_desc'   => esc_html__( 'Select pagination hover color.', 'pets' ),
		'std'        => '#ffffff',
		'dependency' => $default_pagination_dependency,
	),
	array(
		'id'         => 'load_more_hover_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Load More hover color', 'pets' ),
		'sub_desc'   => esc_html__( 'Select hover color for load more button.', 'pets' ),
		'std'        => '#ffffff',
		'dependency' => $loadmore_button_dependency,
	),
	array(
		'id'       => 'mts_pagenavigation_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Pagination Margin', 'pets' ),
		'sub_desc' => esc_html__( 'Update pagination margin from here.', 'pets' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '23px',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'         => 'mts_pagenavigation_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Pagination Padding', 'pets' ),
		'sub_desc'   => esc_html__( 'Update pagination padding from here.', 'pets' ),
		'std'        => array(
			'top'    => '8px',
			'right'  => '0',
			'bottom' => '8px',
			'left'   => '0',
		),
		'dependency' => $default_pagination_dependency,
	),
	array(
		'id'         => 'load_more_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Load More Padding', 'pets' ),
		'sub_desc'   => esc_html__( 'Update padding for load more button from here.', 'pets' ),
		'std'        => array(
			'top'    => '20px',
			'right'  => '30px',
			'bottom' => '17px',
			'left'   => '30px',
		),
		'dependency' => $loadmore_button_dependency,
	),
	array(
		'id'       => 'mts_pagenavigation_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Pagination border radius', 'pets' ),
		'sub_desc' => esc_html__( 'Update pagination border radius in px.', 'pets' ),
		'std'      => '35',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'pagenavigation_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'pets' ),
		'sub_desc' => esc_html__( 'Select border', 'pets' ),
		'std'      => array(
			'color'     => '#d9dbdf',
			'direction' => 'all',
			'size'      => '1',
			'style'     => 'solid',
		),
	),
	array(
		'id'    => 'pagination_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Pagination', 'pets' ),
		'color' => false,
		'std'   => array(
			'preview-text'  => 'Pagination',
			'preview-color' => 'light',
			'font-family'   => 'Barlow Condensed',
			'font-weight'   => '700',
			'font-size'     => '14px',
			'css-selectors' => '.pagination',
		),
	),

);
