<?php
/**
 * Page Titles and Breadcrumbs
 *
 * @package Pets
 */

$menus['blog']['child']['blog-titles'] = array(
	'title' => esc_html__( 'Titles and Breadcrumbs', 'pets' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your titles and breadcrumbs.', 'pets' ),
);

// Dependency check the load more button.
$pages_title = array(
	'relation' => 'and',
	array(
		'field'      => 'show_pages_title',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['blog-titles'] = array(

	array(
		'id'       => 'pages_title_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Pages Title Background', 'pets' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'pets' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#fedfdf',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'show_pages_title',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Pages Title', 'pets' ),
		'sub_desc' => esc_html__( 'Enable/Disable the Pages Title form here.', 'pets' ),
		'std'      => '1',
	),

	array(
		'id'         => 'pages_title',
		'type'       => 'text',
		'title'      => esc_html__( 'Page Title', 'pets' ),
		'sub_desc'   => esc_html__( 'Enter page title text from here. Page title will be shown on archives and other pages.', 'pets' ),
		'std'        => 'Blog',
		'dependency' => $pages_title,
	),

	array(
		'id'         => 'pages_title_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'pets' ),
		'sub_desc'   => esc_html__( 'Set Titles section padding from here.', 'pets' ),
		'std'        => array(
			'top'    => '44px',
			'right'  => '0',
			'bottom' => '45px',
			'left'   => '0',
		),
		'dependency' => $pages_title,
	),

	array(
		'id'         => 'pages_title_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'pets' ),
		'sub_desc'   => esc_html__( 'Set Titles section margin from here.', 'pets' ),
		'std'        => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '96px',
			'left'   => '0',
		),
		'dependency' => $pages_title,
	),

	array(
		'id'         => 'pages_title_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Page Title Font', 'pets' ),
		'std'        => array(
			'preview-text'   => 'Page Title',
			'preview-color'  => 'light',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'color'          => '#fc7f7f',
			'font-size'      => '48px',
			'additional-css' => 'letter-spacing: -3.648px;',
			'css-selectors'  => '.pages-title-section h1',
		),
		'dependency' => $pages_title,
	),

	array(
		'id'    => 'breadcrumbs_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Breadcrumbs Settings', 'pets' ),
	),

	array(
		'id'       => 'show_breadcrumb',
		'type'     => 'switch',
		'title'    => esc_html__( 'Breadcrumbs', 'pets' ),
		'sub_desc' => esc_html__( 'Breadcrumbs are a great way to make your site more user-friendly. You can enable them by checking this box.', 'pets' ),
		'std'      => '1',
	),

	array(
		'id'         => 'breadcrumb_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Breadcrumbs Font', 'pets' ),
		'std'        => array(
			'preview-text'   => 'Breadcrumbs',
			'preview-color'  => 'light',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '16px',
			'color'          => '#fc7f7f',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.breadcrumb, .breadcrumb a, .back-to-home a',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'show_breadcrumb',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

);
