<?php
/**
 * Footer Contact
 *
 * @package Reader
 */

$menus['footer']['child']['footer-contact'] = array(
	'title' => esc_html__( 'Footer Contact', 'pets' ),
	'desc'  => esc_html__( 'From here, you can control the Footer Contact Section.', 'pets' ),
);

// Dependency check - enable/disable Footer Contact Section.
$footer_contact_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'footer_contact',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['footer-contact'] = array(

	array(
		'id'    => 'contact_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'pets' ),
	),

	array(
		'id'       => 'footer_contact',
		'type'     => 'switch',
		'title'    => esc_html__( 'Footer Contact Section', 'pets' ),
		'sub_desc' => esc_html__( 'Enable or disable Footer Contact Section with this option.', 'pets' ),
		'std'      => '1',
	),

	array(
		'id'         => 'footer_contact_location',
		'type'       => 'button_set',
		'class'      => 'green',
		'title'      => esc_html__( 'Show Contact Section On', 'pets' ),
		'sub_desc'   => wp_kses( __( 'Choose where you want to show the <strong>Footer Contact Section</strong>', 'pets' ), array( 'strong' => '' ) ),
		'options'    => array(
			'all'    => esc_html__( 'All Pages', 'pets' ),
			'home'   => esc_html__( 'Home Page', 'pets' ),
			'blog'   => esc_html__( 'Blog Page', 'pets' ),
			'single' => esc_html__( 'Single Page', 'pets' ),
			'both'   => esc_html__( 'Home and Single Page', 'pets' ),
		),
		'std'        => 'all',
		'dependency' => $footer_contact_dependency,
	),

	array(
		'id'         => 'contact_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Contact Section Background', 'pets' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'pets' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '#fc7f7f',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $footer_contact_dependency,
	),

	array(
		'id'         => 'contact_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'pets' ),
		'sub_desc'   => esc_html__( 'Set why us section padding from here.', 'pets' ),
		'std'        => array(
			'top'    => '58px',
			'right'  => '0',
			'bottom' => '58px',
			'left'   => '0',
		),
		'dependency' => $footer_contact_dependency,
	),

	array(
		'id'         => 'contact_left_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Left Content Settings', 'pets' ),
		'dependency' => $footer_contact_dependency,
	),

	array(
		'id'         => 'contact_top_title',
		'type'       => 'text',
		'title'      => esc_html__( 'Top Title', 'pets' ),
		'sub_desc'   => esc_html__( 'Enter top title for why us section.', 'pets' ),
		'std'        => 'Reach',
		'dependency' => $footer_contact_dependency,
	),
	array(
		'id'         => 'contact_top_title_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Top Title Font', 'pets' ),
		'std'        => array(
			'preview-text'   => 'Top Title',
			'preview-color'  => 'dark',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '22px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 10px;',
			'css-selectors'  => '.contact-section .top-heading',
		),
		'dependency' => $footer_contact_dependency,
	),

	array(
		'id'         => 'contact_title',
		'type'       => 'text',
		'title'      => esc_html__( 'Title', 'pets' ),
		'sub_desc'   => esc_html__( 'Enter title for why us section.', 'pets' ),
		'std'        => 'Connect Us',
		'dependency' => $footer_contact_dependency,
	),
	array(
		'id'         => 'contact_title_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Title Font', 'pets' ),
		'std'        => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'dark',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '50px',
			'color'          => '#ffffff',
			'additional-css' => 'letter-spacing: -3.5px;',
			'css-selectors'  => '.contact-section h2',
		),
		'dependency' => $footer_contact_dependency,
	),

	array(
		'id'         => 'contact_text',
		'type'       => 'textarea',
		'title'      => esc_html__( 'Text', 'pets' ),
		'sub_desc'   => esc_html__( 'Enter text for contact section.', 'pets' ),
		'std'        => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nisi facilis in magni quasi sequi natus illum! <br><br>You’ll enjoy knowing our dedicated team will do whatever is needed to keep your pets happy, healthy and safe when you’re away from home.',
		'dependency' => $footer_contact_dependency,
	),
	array(
		'id'         => 'contact_text_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Text Font', 'pets' ),
		'std'        => array(
			'preview-text'  => 'Text',
			'preview-color' => 'dark',
			'font-family'   => 'Muli',
			'font-weight'   => '400',
			'font-size'     => '18px',
			'color'         => '#ffffff',
			'css-selectors' => '.contact-section p',
		),
		'dependency' => $footer_contact_dependency,
	),

	array(
		'id'         => 'contact_form_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Form Settings', 'pets' ),
		'dependency' => $footer_contact_dependency,
	),

	array(
		'id'         => 'contact_fields_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Fields Backgroud Color', 'pets' ),
		'sub_desc'   => esc_html__( 'Select fields background color from here.', 'pets' ),
		'std'        => '#ffffff',
		'dependency' => $footer_contact_dependency,
	),
	array(
		'id'         => 'contact_icon_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Icons Color', 'pets' ),
		'sub_desc'   => esc_html__( 'Select icons color from here.', 'pets' ),
		'std'        => '#354151',
		'dependency' => $footer_contact_dependency,
	),

);
