<?php
/**
 * Header Tab
 *
 * @package Pets
 */

$menus['header'] = array(
	'icon'  => 'fa-header',
	'title' => esc_html__( 'Header', 'pets' ),
	'desc'  => esc_html__( 'From here, you can control the elements of header section.', 'pets' ),
);

$sections['header'] = array(

	array(
		'id'       => 'header_styles',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Header Styling', 'pets' ),
		'sub_desc' => wp_kses( __( 'Choose the <strong>Header design</strong> for your site.', 'pets' ), array( 'strong' => '' ) ),
		'options'  => array(
			'header-default' => array( 'img' => $uri . 'headers/header-default.jpg' ),
			'header-layout2' => array( 'img' => $uri . 'headers/header-layout2.jpg' ),
		),
		'std'      => 'header-default',
	),

	array(
		'id'         => 'header_social_icons',
		'title'      => esc_html__( 'Header Social Icons', 'pets' ),
		'sub_desc'   => esc_html__( 'Add Social Media icons in header.', 'pets' ),
		'type'       => 'group',
		'groupname'  => esc_html__( 'Header Icons', 'pets' ), // Group name.
		'subfields'  => array(
			array(
				'id'    => 'header_icon_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'pets' ),
			),
			array(
				'id'    => 'header_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Icon', 'pets' ),
			),
			array(
				'id'    => 'header_icon_link',
				'type'  => 'text',
				'title' => esc_html__( 'URL', 'pets' ),
			),
			array(
				'id'    => 'header_icon_bgcolor',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon background color', 'pets' ),
			),
			array(
				'id'    => 'header_icon_hover_bgcolor',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon background hover color', 'pets' ),
			),
			array(
				'id'    => 'header_icon_color',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon color', 'pets' ),
			),
			array(
				'id'    => 'header_icon_hover_color',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon hover color', 'pets' ),
			),
			array(
				'id'    => 'header_icon_margin',
				'type'  => 'margin',
				'title' => esc_html__( 'Header icon Margin', 'pets' ),
			),
			array(
				'id'    => 'header_icon_padding',
				'type'  => 'margin',
				'title' => esc_html__( 'Header icon Padding', 'pets' ),
			),
			array(
				'id'    => 'header_icon_border_radius',
				'type'  => 'text',
				'class' => 'small-text',
				'title' => esc_html__( 'Header icon border radius', 'pets' ),
				'args'  => array( 'type' => 'number' ),
			),
		),
		'std'        => array(
			'facebook'  => array(
				'group_title'               => 'Facebook',
				'group_sort'                => '1',
				'header_icon_title'         => 'Facebook',
				'header_icon'               => 'facebook-official',
				'header_icon_link'          => '#',
				'header_icon_bgcolor'       => pets_get_settings( 'secondary_color_scheme' ),
				'header_icon_hover_bgcolor' => '#c3eded',
				'header_icon_color'         => '#ffffff',
				'header_icon_hover_color'   => '#ffffff',
				'header_icon_margin'        => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '16px',
				),
				'header_icon_padding'       => array(
					'top'    => '7px',
					'right'  => '8px',
					'bottom' => '7px',
					'left'   => '8px',
				),
				'header_icon_border_radius' => '32',
			),
			'instagram' => array(
				'group_title'               => 'Instagram',
				'group_sort'                => '2',
				'header_icon_title'         => 'Instagram',
				'header_icon'               => 'instagram',
				'header_icon_link'          => '#',
				'header_icon_bgcolor'       => pets_get_settings( 'secondary_color_scheme' ),
				'header_icon_hover_bgcolor' => '#c3eded',
				'header_icon_color'         => '#ffffff',
				'header_icon_hover_color'   => '#ffffff',
				'header_icon_margin'        => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '16px',
				),
				'header_icon_padding'       => array(
					'top'    => '7px',
					'right'  => '8px',
					'bottom' => '7px',
					'left'   => '8px',
				),
				'header_icon_border_radius' => '32',
			),
			'pinterest' => array(
				'group_title'               => 'Pinterest',
				'group_sort'                => '3',
				'header_icon_title'         => 'Pinterest',
				'header_icon'               => 'pinterest',
				'header_icon_link'          => '#',
				'header_icon_bgcolor'       => pets_get_settings( 'secondary_color_scheme' ),
				'header_icon_hover_bgcolor' => '#c3eded',
				'header_icon_color'         => '#ffffff',
				'header_icon_hover_color'   => '#ffffff',
				'header_icon_margin'        => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '16px',
				),
				'header_icon_padding'       => array(
					'top'    => '7px',
					'right'  => '8px',
					'bottom' => '7px',
					'left'   => '8px',
				),
				'header_icon_border_radius' => '32',
			),
			'twitter'   => array(
				'group_title'               => 'Twitter',
				'group_sort'                => '4',
				'header_icon_title'         => 'Twitter',
				'header_icon'               => 'twitter',
				'header_icon_link'          => '#',
				'header_icon_bgcolor'       => pets_get_settings( 'secondary_color_scheme' ),
				'header_icon_hover_bgcolor' => '#c3eded',
				'header_icon_color'         => '#ffffff',
				'header_icon_hover_color'   => '#ffffff',
				'header_icon_margin'        => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '16px',
				),
				'header_icon_padding'       => array(
					'top'    => '7px',
					'right'  => '8px',
					'bottom' => '7px',
					'left'   => '8px',
				),
				'header_icon_border_radius' => '32',
			),


		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'header_styles',
				'value'      => 'header-layout2',
				'comparison' => '!=',
			),
		),
	),

	array(
		'id'    => 'header_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Header General Settings', 'pets' ),
	),

	array(
		'id'       => 'sticky_nav',
		'type'     => 'switch',
		'title'    => esc_html__( 'Floating Navigation Menu', 'pets' ),
		// translators: Floating Navigation Menu with strong tag.
		'sub_desc' => sprintf( esc_html__( 'Use this button to enable %s.', 'pets' ), '<strong>' . esc_html__( 'Floating Navigation Menu', 'pets' ) . '</strong>' ),
		'std'      => '0',
	),

	array(
		'id'       => 'hide_logo',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Logo', 'pets' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Logo</strong> completely.', 'pets' ), array( 'strong' => '' ) ),
		'std'      => '1',
	),

	array(
		'id'       => 'header_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Margin', 'pets' ),
		'sub_desc' => esc_html__( 'Set header margin from here.', 'pets' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => '0',
		),
	),
	array(
		'id'       => 'header_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Padding', 'pets' ),
		'sub_desc' => esc_html__( 'Set header padding from here.', 'pets' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '23px',
			'bottom' => '22px',
		),
	),

	array(
		'id'       => 'header_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'pets' ),
		'sub_desc' => esc_html__( 'Select border.', 'pets' ),
	),

	array(
		'id'       => 'header_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Header Background', 'pets' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'pets' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'main_navigation_dropdown_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Color', 'pets' ),
		'sub_desc' => esc_html__( 'Select dropdown text color for main navigation from here.', 'pets' ),
		'std'      => '#566073',
	),
	array(
		'id'       => 'main_navigation_dropdown_hover_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Hover Color', 'pets' ),
		'sub_desc' => esc_html__( 'Select dropdown text color for main navigation from here.', 'pets' ),
		'std'      => pets_get_settings( 'primary_color_scheme' ),
	),

);
