<?php
/**
 * HomePage Blog Section
 *
 * @package Pets
 */

$menus['homepage']['child']['homepage-blog'] = array(
	'title' => esc_html__( 'Blog', 'pets' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Blog Section.', 'pets' ),
);

$sections['homepage-blog'] = array(

	array(
		'id'       => 'blog_top_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Title', 'pets' ),
		'sub_desc' => esc_html__( 'Enter top title for blog section.', 'pets' ),
		'std'      => 'Our',
	),
	array(
		'id'    => 'blog_top_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Title Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Top Title',
			'preview-color'  => 'light',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '22px',
			'color'          => '#fc7f7f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 10px;',
			'css-selectors'  => '.blog-section .top-heading',
		),
	),

	array(
		'id'       => 'blog_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'pets' ),
		'sub_desc' => esc_html__( 'Enter title for blog section.', 'pets' ),
		'std'      => 'Latest Blog Posts',
	),
	array(
		'id'    => 'blog_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'light',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '50px',
			'color'          => '#566073',
			'additional-css' => 'letter-spacing: -3.5px;',
			'css-selectors'  => '.blog-section h2',
		),
	),

	array(
		'id'       => 'blog_text',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Text', 'pets' ),
		'sub_desc' => esc_html__( 'Enter text for blog section.', 'pets' ),
		'std'      => 'You’ll enjoy knowing our dedicated team will do whatever is needed to keep your pets happy, healthy and safe when you’re away from home.',
	),
	array(
		'id'    => 'blog_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Font', 'pets' ),
		'std'   => array(
			'preview-text'  => 'Text',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '400',
			'font-size'     => '18px',
			'color'         => '#566073',
			'css-selectors' => '.blog-section p',
		),
	),

	array(
		'id'    => 'blog_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Blog Posts', 'pets' ),
	),

	array(
		'id'       => 'blog_post_num',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Number of posts', 'pets' ),
		'sub_desc' => esc_html__( 'Enter the number of posts to show in blog section.', 'pets' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '3',
	),

	array(
		'id'    => 'blog_post_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Meta info Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Meta info',
			'preview-color'  => 'light',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#fc7f7f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 2.506px;',
			'css-selectors'  => '.post-wrapper .post-meta, .post-wrapper .post-meta a',
		),
	),
	array(
		'id'    => 'blog_post_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Title Font', 'pets' ),
		'std'   => array(
			'preview-text'  => 'Post Title',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '700',
			'font-size'     => '20px',
			'line-height'   => '25px',
			'color'         => '#566073',
			'css-selectors' => '.post-wrapper h3',
		),
	),
	array(
		'id'    => 'blog_post_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Content',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '400',
			'font-size'      => '16px',
			'color'          => '#566073',
			'line-height'    => '24px',
			'additional-css' => 'opacity: 0.5;',
			'css-selectors'  => '.blog-section li .front-view-content',
		),
	),

	array(
		'id'    => 'blog_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'pets' ),
	),

	array(
		'id'       => 'blog_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Blog Section Background', 'pets' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'pets' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'blog_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'pets' ),
		'sub_desc' => esc_html__( 'Set blog section padding from here.', 'pets' ),
		'std'      => array(
			'top'    => '150px',
			'right'  => '0',
			'bottom' => '120px',
			'left'   => '0',
		),
	),

);
