<?php
/**
 * HomePage Brands Section
 *
 * @package Pets
 */

$menus['homepage']['child']['homepage-brands'] = array(
	'title' => esc_html__( 'Brands', 'pets' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Brands Section.', 'pets' ),
);

$sections['homepage-brands'] = array(

	array(
		'id'        => 'brands_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Brands', 'pets' ),
		'sub_desc'  => esc_html__( 'Customize the Brands from here.', 'pets' ),
		'groupname' => esc_html__( 'Brand', 'pets' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'brands_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'pets' ),
			),
			array(
				'id'     => 'brands_image',
				'type'   => 'upload',
				'title'  => esc_html__( 'Image', 'pets' ),
				'return' => 'url',
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'  => '1',
				'group_sort'   => '1',
				'brands_title' => '1',
				'brands_image' => get_template_directory_uri() . '/images/brand1.jpg',
			),
			'2' => array(
				'group_title'  => '2',
				'group_sort'   => '2',
				'brands_title' => '2',
				'brands_image' => get_template_directory_uri() . '/images/brand2.jpg',
			),
			'3' => array(
				'group_title'  => '3',
				'group_sort'   => '3',
				'brands_title' => '3',
				'brands_image' => get_template_directory_uri() . '/images/brand3.jpg',
			),
			'4' => array(
				'group_title'  => '4',
				'group_sort'   => '4',
				'brands_title' => '4',
				'brands_image' => get_template_directory_uri() . '/images/brand4.jpg',
			),
			'5' => array(
				'group_title'  => '5',
				'group_sort'   => '5',
				'brands_title' => '5',
				'brands_image' => get_template_directory_uri() . '/images/brand5.jpg',
			),
			'6' => array(
				'group_title'  => '6',
				'group_sort'   => '6',
				'brands_title' => '6',
				'brands_image' => get_template_directory_uri() . '/images/brand6.jpg',
			),
			'7' => array(
				'group_title'  => '7',
				'group_sort'   => '7',
				'brands_title' => '7',
				'brands_image' => get_template_directory_uri() . '/images/brand7.jpg',
			),
		),
	),

	array(
		'id'    => 'brands_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'pets' ),
	),

	array(
		'id'       => 'brands_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'pets' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'pets' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'brands_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'pets' ),
		'sub_desc' => esc_html__( 'Set brands section padding from here.', 'pets' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '95px',
			'left'   => '0',
		),
	),

);
