<?php
/**
 * HomePage Counter Section
 *
 * @package Pets
 */

$menus['homepage']['child']['homepage-counter'] = array(
	'title' => esc_html__( 'Counter', 'pets' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Counter Section.', 'pets' ),
);

$sections['homepage-counter'] = array(

	array(
		'id'       => 'counter_number1',
		'type'     => 'text',
		'title'    => esc_html__( 'Counter 1', 'pets' ),
		'sub_desc' => esc_html__( 'Enter number for counter section.', 'pets' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '426',
	),
	array(
		'id'       => 'counter_text1',
		'type'     => 'text',
		'title'    => esc_html__( 'Text 1', 'pets' ),
		'sub_desc' => esc_html__( 'Enter Text for counter section.', 'pets' ),
		'std'      => 'Happy Clients',
	),

	array(
		'id'       => 'counter_number2',
		'type'     => 'text',
		'title'    => esc_html__( 'Counter 2', 'pets' ),
		'sub_desc' => esc_html__( 'Enter number for counter section.', 'pets' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '512',
	),
	array(
		'id'       => 'counter_text2',
		'type'     => 'text',
		'title'    => esc_html__( 'Text 2', 'pets' ),
		'sub_desc' => esc_html__( 'Enter Text for counter section.', 'pets' ),
		'std'      => 'Obedient Dogs',
	),

	array(
		'id'       => 'counter_number3',
		'type'     => 'text',
		'title'    => esc_html__( 'Counter 3', 'pets' ),
		'sub_desc' => esc_html__( 'Enter number for counter section.', 'pets' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '4255',
	),
	array(
		'id'       => 'counter_text3',
		'type'     => 'text',
		'title'    => esc_html__( 'Text 3', 'pets' ),
		'sub_desc' => esc_html__( 'Enter Text for counter section.', 'pets' ),
		'std'      => 'Days With You',
	),

	array(
		'id'       => 'counter_number4',
		'type'     => 'text',
		'title'    => esc_html__( 'Counter 4', 'pets' ),
		'sub_desc' => esc_html__( 'Enter number for counter section.', 'pets' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '87',
	),
	array(
		'id'       => 'counter_text4',
		'type'     => 'text',
		'title'    => esc_html__( 'Text 4', 'pets' ),
		'sub_desc' => esc_html__( 'Enter Text for counter section.', 'pets' ),
		'std'      => 'New Equipments',
	),

	array(
		'id'       => 'counter_bg',
		'type'     => 'color',
		'title'    => esc_html__( 'Counter Background', 'pets' ),
		'sub_desc' => esc_html__( 'Select counter background from here.', 'pets' ),
		'args'     => array( 'opacity' => true ),
		'std'      => 'rgba(140,215,215,0.2)',
	),

	array(
		'id'    => 'counter_number_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Number Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'light',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '64px',
			'color'          => '#566073',
			'additional-css' => 'letter-spacing: -4.48px;',
			'css-selectors'  => '.counter-section .counter',
		),
	),
	array(
		'id'    => 'counter_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Font', 'pets' ),
		'std'   => array(
			'preview-text'  => 'Text',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '700',
			'font-size'     => '20px',
			'color'         => '#8cd7d7',
			'css-selectors' => '.counter-section p',
		),
	),

	array(
		'id'    => 'counter_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'pets' ),
	),

	array(
		'id'       => 'counter_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'pets' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'pets' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'counter_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'pets' ),
		'sub_desc' => esc_html__( 'Set counter section padding from here.', 'pets' ),
		'std'      => array(
			'top'    => '176px',
			'right'  => '0',
			'bottom' => '150px',
			'left'   => '0',
		),
	),

);
