<?php
/**
 * HomePage Featured Section
 *
 * @package Pets
 */

$menus['homepage']['child']['homepage-featured'] = array(
	'title' => esc_html__( 'Featured', 'pets' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Featured Section.', 'pets' ),
);

$sections['homepage-featured'] = array(

	array(
		'id'       => 'featured_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Featured Section Background', 'pets' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'pets' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'gradient',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			// 'image_upload'  => get_template_directory_uri() . '/images/featured-bg.jpg',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			// 'position'      => 'center bottom',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#fae1e2',
				'to'        => '#f9d4d2',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'featured_image',
		'type'     => 'upload',
		'title'    => esc_html__( 'Featured Image', 'pets' ),
		'sub_desc' => esc_html__( 'Select an image file for your featured area.', 'pets' ),
		'return'   => 'url',
		'std'      => get_template_directory_uri() . '/images/featured.png',
	),

	array(
		'id'       => 'featured_top_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Title', 'pets' ),
		'sub_desc' => esc_html__( 'Enter top title for featured section.', 'pets' ),
		'std'      => 'Recommended By',
	),
	array(
		'id'    => 'featured_top_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Title Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Top Title',
			'preview-color'  => 'light',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '20px',
			'color'          => '#fc7f7f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 10px; opacity: 0.5;',
			'css-selectors'  => '.featured-section .top-heading',
		),
	),

	array(
		'id'       => 'featured_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'pets' ),
		'sub_desc' => esc_html__( 'Enter title for featured section.', 'pets' ),
		'std'      => 'Veterinarians and Shelters',
	),
	array(
		'id'    => 'featured_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'light',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '56px',
			'color'          => '#fc7f7f',
			'additional-css' => 'letter-spacing: -4.256px;',
			'css-selectors'  => '.featured-section h2',
		),
	),

	array(
		'id'       => 'featured_text',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Text', 'pets' ),
		'sub_desc' => esc_html__( 'Enter text for featured section.', 'pets' ),
		'std'      => 'We are recommended by veterinarians, animal shelters, breeders, rescues and by both of the nation\'s top dog training associations.',
	),
	array(
		'id'    => 'featured_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Font', 'pets' ),
		'std'   => array(
			'preview-text'  => 'Text',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '400',
			'font-size'     => '18px',
			'color'         => '#566073',
			'css-selectors' => '.featured-section p',
		),
	),

	array(
		'id'       => 'featured_button1_text',
		'type'     => 'text',
		'title'    => esc_html__( 'Button1 Text', 'pets' ),
		'sub_desc' => esc_html__( 'Enter button1 text.', 'pets' ),
		'std'      => 'Book Training',
	),
	array(
		'id'       => 'featured_button1_url',
		'type'     => 'text',
		'title'    => esc_html__( 'Button1 URL', 'pets' ),
		'sub_desc' => esc_html__( 'Enter button1 URL.', 'pets' ),
		'std'      => '#',
	),

	array(
		'id'       => 'featured_button2_text',
		'type'     => 'text',
		'title'    => esc_html__( 'Button2 Text', 'pets' ),
		'sub_desc' => esc_html__( 'Enter button2 text.', 'pets' ),
		'std'      => 'More Details',
	),
	array(
		'id'       => 'featured_button2_url',
		'type'     => 'text',
		'title'    => esc_html__( 'Button2 URL', 'pets' ),
		'sub_desc' => esc_html__( 'Enter button2 URL.', 'pets' ),
		'std'      => '#',
	),

	array(
		'id'       => 'featured_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'pets' ),
		'sub_desc' => esc_html__( 'Set featured section padding from here.', 'pets' ),
		'std'      => array(
			'top'    => '68px',
			'right'  => '0',
			'bottom' => '280px',
			'left'   => '0',
		),
	),

);
