<?php
/**
 * HomePage Gallery Section
 *
 * @package Pets
 */

$menus['homepage']['child']['homepage-gallery'] = array(
	'title' => esc_html__( 'Gallery', 'pets' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Gallery Section.', 'pets' ),
);

$sections['homepage-gallery'] = array(

	array(
		'id'        => 'gallery_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Gallery', 'pets' ),
		'sub_desc'  => esc_html__( 'Customize the Gallery from here.', 'pets' ),
		'groupname' => esc_html__( 'Gallery', 'pets' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'gallery_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'pets' ),
			),
			array(
				'id'       => 'gallery_small_image',
				'type'     => 'upload',
				'title'    => esc_html__( 'Small Image', 'pets' ),
				'sub_desc' => esc_html__( 'Minimum Size: 360 X 289 in pixel.', 'pets' ),
				'return'   => 'url',
			),
			array(
				'id'     => 'gallery_popup_image',
				'type'   => 'upload',
				'title'  => esc_html__( 'Popup Image', 'pets' ),
				'return' => 'url',
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'         => '1',
				'group_sort'          => '1',
				'gallery_title'       => '1',
				'gallery_small_image' => get_template_directory_uri() . '/images/pet1-small.jpg',
				'gallery_popup_image' => get_template_directory_uri() . '/images/pet1.jpg',
			),
			'2' => array(
				'group_title'         => '2',
				'group_sort'          => '2',
				'gallery_title'       => '2',
				'gallery_small_image' => get_template_directory_uri() . '/images/pet2-small.jpg',
				'gallery_popup_image' => get_template_directory_uri() . '/images/pet2.jpg',
			),
			'3' => array(
				'group_title'         => '3',
				'group_sort'          => '3',
				'gallery_title'       => '3',
				'gallery_small_image' => get_template_directory_uri() . '/images/pet3-small.jpg',
				'gallery_popup_image' => get_template_directory_uri() . '/images/pet3.jpg',
			),
			'4' => array(
				'group_title'         => '4',
				'group_sort'          => '4',
				'gallery_title'       => '4',
				'gallery_small_image' => get_template_directory_uri() . '/images/pet4-small.jpg',
				'gallery_popup_image' => get_template_directory_uri() . '/images/pet4.jpg',
			),
		),
	),

	array(
		'id'    => 'gallery_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'pets' ),
	),

	array(
		'id'       => 'gallery_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'pets' ),
		'sub_desc' => esc_html__( 'Set gallery section padding from here.', 'pets' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

);
