<?php
/**
 * HomePage Services Section
 *
 * @package Pets
 */

$text = 'Canis certified dog traingersspecialize in behavior';

$menus['homepage']['child']['homepage-services'] = array(
	'title' => esc_html__( 'Services', 'pets' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Services Section.', 'pets' ),
);

$sections['homepage-services'] = array(

	array(
		'id'       => 'services_top_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Title', 'pets' ),
		'sub_desc' => esc_html__( 'Enter top title for services section.', 'pets' ),
		'std'      => 'Welcome!',
	),
	array(
		'id'    => 'services_top_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Title Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Top Title',
			'preview-color'  => 'light',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '22px',
			'color'          => '#fc7f7f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 10px;',
			'css-selectors'  => '.services-section .top-heading',
		),
	),

	array(
		'id'       => 'services_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'pets' ),
		'sub_desc' => esc_html__( 'Enter title for services section.', 'pets' ),
		'std'      => 'What We Offers',
	),
	array(
		'id'    => 'services_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'light',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '50px',
			'color'          => '#566073',
			'additional-css' => 'letter-spacing: -3.5px;',
			'css-selectors'  => '.services-section h2',
		),
	),

	array(
		'id'       => 'services_text',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Text', 'pets' ),
		'sub_desc' => esc_html__( 'Enter text for services section.', 'pets' ),
		'std'      => 'You’ll enjoy knowing our dedicated team will do whatever is needed to keep your pets happy, healthy and safe when you’re away from home.',
	),
	array(
		'id'    => 'services_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Font', 'pets' ),
		'std'   => array(
			'preview-text'  => 'Text',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '400',
			'font-size'     => '18px',
			'color'         => '#566073',
			'css-selectors' => '.services-section p',
		),
	),

	array(
		'id'    => 'services_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Services List', 'pets' ),
	),

	array(
		'id'        => 'left_services',
		'type'      => 'group',
		'title'     => esc_html__( 'Left Services', 'pets' ),
		'sub_desc'  => esc_html__( 'Customize the Left Services from here.', 'pets' ),
		'groupname' => esc_html__( 'Left Service', 'pets' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'left_service_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'pets' ),
			),
			array(
				'id'    => 'left_service_text',
				'type'  => 'textarea',
				'title' => esc_html__( 'Text', 'pets' ),
			),
			array(
				'id'    => 'left_service_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Select Icon', 'pets' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'        => '1',
				'group_sort'         => '1',
				'left_service_icon'  => 'paw',
				'left_service_title' => 'Pet Training',
				'left_service_text'  => $text,
			),
			'2' => array(
				'group_title'        => '2',
				'group_sort'         => '2',
				'left_service_icon'  => 'scissors',
				'left_service_title' => 'Full Grooming',
				'left_service_text'  => $text,
			),
			'3' => array(
				'group_title'        => '3',
				'group_sort'         => '3',
				'left_service_icon'  => 'github-alt',
				'left_service_title' => 'Styling',
				'left_service_text'  => $text,
			),
		),
	),

	array(
		'id'        => 'right_services',
		'type'      => 'group',
		'title'     => esc_html__( 'Right Services', 'pets' ),
		'sub_desc'  => esc_html__( 'Customize the Right Services from here.', 'pets' ),
		'groupname' => esc_html__( 'Right Service', 'pets' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'right_service_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'pets' ),
			),
			array(
				'id'    => 'right_service_text',
				'type'  => 'textarea',
				'title' => esc_html__( 'Text', 'pets' ),
			),
			array(
				'id'    => 'right_service_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Select Icon', 'pets' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'         => '1',
				'group_sort'          => '1',
				'right_service_icon'  => 'bath',
				'right_service_title' => 'Bath & Dry',
				'right_service_text'  => $text,
			),
			'2' => array(
				'group_title'         => '2',
				'group_sort'          => '2',
				'right_service_icon'  => 'medkit',
				'right_service_title' => 'Medical Care',
				'right_service_text'  => $text,
			),
			'3' => array(
				'group_title'         => '3',
				'group_sort'          => '3',
				'right_service_icon'  => 'shield',
				'right_service_title' => 'Pet Safety',
				'right_service_text'  => $text,
			),
		),
	),

	array(
		'id'    => 'services_list_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'List Title Font', 'pets' ),
		'std'   => array(
			'preview-text'  => 'List Title',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '700',
			'font-size'     => '20px',
			'color'         => '#fc7f7f',
			'css-selectors' => '.services-lists h3',
		),
	),
	array(
		'id'    => 'services_list_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'List Text Font', 'pets' ),
		'std'   => array(
			'preview-text'  => 'List Text',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '300',
			'font-size'     => '15px',
			'line-height'   => '20px',
			'color'         => '#566073',
			'css-selectors' => '.services-lists p',
		),
	),

	array(
		'id'    => 'services_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'pets' ),
	),

	array(
		'id'       => 'services_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Services Section Background', 'pets' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'pets' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/services-bg.jpg',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center bottom',
			'size'          => '',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'services_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'pets' ),
		'sub_desc' => esc_html__( 'Set services section padding from here.', 'pets' ),
		'std'      => array(
			'top'    => '86px',
			'right'  => '0',
			'bottom' => '150px',
			'left'   => '0',
		),
	),

);
