<?php
/**
 * HomePage Team Section
 *
 * @package Pets
 */

$menus['homepage']['child']['homepage-team'] = array(
	'title' => esc_html__( 'Team', 'pets' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Team Section.', 'pets' ),
);

$sections['homepage-team'] = array(

	array(
		'id'       => 'team_top_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Title', 'pets' ),
		'sub_desc' => esc_html__( 'Enter top title for team section.', 'pets' ),
		'std'      => 'Meet',
	),
	array(
		'id'    => 'team_top_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Title Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Top Title',
			'preview-color'  => 'light',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '22px',
			'color'          => '#fc7f7f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 10px;',
			'css-selectors'  => '.team-section .top-heading',
		),
	),

	array(
		'id'       => 'team_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'pets' ),
		'sub_desc' => esc_html__( 'Enter title for team section.', 'pets' ),
		'std'      => 'Our Team',
	),
	array(
		'id'    => 'team_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'light',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '50px',
			'color'          => '#566073',
			'additional-css' => 'letter-spacing: -3.5px;',
			'css-selectors'  => '.team-section h2',
		),
	),

	array(
		'id'       => 'team_text',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Text', 'pets' ),
		'sub_desc' => esc_html__( 'Enter text for team section.', 'pets' ),
		'std'      => 'You’ll enjoy knowing our dedicated team will do whatever is needed to keep your pets happy, healthy and safe when you’re away from home.',
	),
	array(
		'id'    => 'team_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Font', 'pets' ),
		'std'   => array(
			'preview-text'  => 'Text',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '400',
			'font-size'     => '18px',
			'color'         => '#566073',
			'css-selectors' => '.team-section p',
		),
	),

	array(
		'id'    => 'team_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Team List', 'pets' ),
	),

	array(
		'id'        => 'team_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Team', 'pets' ),
		'sub_desc'  => esc_html__( 'Customize the Team from here.', 'pets' ),
		'groupname' => esc_html__( 'member', 'pets' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'member_name',
				'type'  => 'text',
				'title' => esc_html__( 'Name', 'pets' ),
			),
			array(
				'id'    => 'member_designation',
				'type'  => 'text',
				'title' => esc_html__( 'Designation', 'pets' ),
			),
			array(
				'id'    => 'member_content',
				'type'  => 'textarea',
				'title' => esc_html__( 'Content', 'pets' ),
			),
			array(
				'id'       => 'member_pic',
				'type'     => 'upload',
				'title'    => esc_html__( 'Image', 'pets' ),
				'sub_desc' => esc_html__( 'Recommended Size: 200 X 200 in pixel.', 'pets' ),
				'return'   => 'url',
			),
			array(
				'id'    => 'team_fb_url',
				'type'  => 'text',
				'title' => esc_html__( 'Facebook URL', 'pets' ),
			),
			array(
				'id'    => 'team_insta_url',
				'type'  => 'text',
				'title' => esc_html__( 'Instagram URL', 'pets' ),
			),
			array(
				'id'    => 'team_pin_url',
				'type'  => 'text',
				'title' => esc_html__( 'Pinterest URL', 'pets' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'        => '1',
				'group_sort'         => '1',
				'member_name'        => 'Willbert N. Duke',
				'member_designation' => 'Pet Walker',
				'member_content'     => 'You’ll enjoy knowing our dedicated team will do whatever is needed to keep your pets happy, healthy and safe when you’re away from home. ',
				'member_pic'         => get_template_directory_uri() . '/images/team1.png',
				'team_fb_url'        => '#',
				'team_insta_url'     => '#',
				'team_pin_url'       => '#',
			),
			'2' => array(
				'group_title'        => '2',
				'group_sort'         => '2',
				'member_name'        => 'James Anderson',
				'member_designation' => 'Pet Trainer',
				'member_content'     => 'You’ll enjoy knowing our dedicated team will do whatever is needed to keep your pets happy, healthy and safe when you’re away from home. ',
				'member_pic'         => get_template_directory_uri() . '/images/team2.png',
				'team_fb_url'        => '#',
				'team_insta_url'     => '#',
				'team_pin_url'       => '#',
			),
			'3' => array(
				'group_title'        => '3',
				'group_sort'         => '3',
				'member_name'        => 'Anna Williams',
				'member_designation' => 'Pet Styler',
				'member_content'     => 'You’ll enjoy knowing our dedicated team will do whatever is needed to keep your pets happy, healthy and safe when you’re away from home. ',
				'member_pic'         => get_template_directory_uri() . '/images/team3.png',
				'team_fb_url'        => '#',
				'team_insta_url'     => '#',
				'team_pin_url'       => '#',
			),
		),
	),

	array(
		'id'    => 'member_name_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Member Name Font', 'pets' ),
		'std'   => array(
			'preview-text'  => 'Member Name',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '700',
			'font-size'     => '24px',
			'color'         => '#566073',
			'css-selectors' => '.team-content h3',
		),
	),
	array(
		'id'    => 'member_designation_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Member Designation Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Member Designation',
			'preview-color'  => 'light',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#fc7f7f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 2.506px;',
			'css-selectors'  => '.team-content p.subheading',
		),
	),
	array(
		'id'    => 'member_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Member Content Font', 'pets' ),
		'std'   => array(
			'preview-text'  => 'Member Content',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '400',
			'font-size'     => '18px',
			'color'         => '#566073',
			'css-selectors' => '.team-content p',
		),
	),

	array(
		'id'    => 'team_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'pets' ),
	),

	array(
		'id'       => 'team_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Team Section Background', 'pets' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'pets' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'gradient',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#f9fdfd',
				'direction' => '-90deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'team_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'pets' ),
		'sub_desc' => esc_html__( 'Set team section padding from here.', 'pets' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '120px',
			'left'   => '0',
		),
	),

);
