<?php
/**
 * HomePage Testimonials Section
 *
 * @package Pets
 */

$menus['homepage']['child']['homepage-testimonials'] = array(
	'title' => esc_html__( 'Testimonials', 'pets' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Testimonials Section.', 'pets' ),
);

$sections['homepage-testimonials'] = array(

	array(
		'id'        => 'testimonials',
		'type'      => 'group',
		'title'     => esc_html__( 'Testimonials', 'pets' ),
		'sub_desc'  => esc_html__( 'Customize the Testimonials from here.', 'pets' ),
		'groupname' => esc_html__( 'Testimonial', 'pets' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'author_name',
				'type'  => 'text',
				'title' => esc_html__( 'Name', 'pets' ),
			),
			array(
				'id'    => 'author_designation',
				'type'  => 'text',
				'title' => esc_html__( 'Designation', 'pets' ),
			),
			array(
				'id'    => 'author_content',
				'type'  => 'textarea',
				'title' => esc_html__( 'Content', 'pets' ),
			),
			array(
				'id'       => 'author_pic',
				'type'     => 'upload',
				'title'    => esc_html__( 'Image', 'pets' ),
				'sub_desc' => esc_html__( 'Recommended Size: 150 X 150 in pixel.', 'pets' ),
				'return'   => 'url',
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'        => '1',
				'group_sort'         => '1',
				'author_name'        => 'Willbert N. Duke',
				'author_designation' => 'Client',
				'author_content'     => 'Mauris quis dictum orci, non rutrum mauris. Aliquam pretium nibh euismod convallis pretium. Cras nec sem ex. Donec eget accumsan tortor. Vivamus id augue elementum, aliquet sem at, porta mauris. Nullam ultrices sodales elit, sit amet elementum nulla aliquam a. Vivamus viverra hendrerit eros a tincidunt. Phasellus in ullamcorper lorem.',
				'author_pic'         => get_template_directory_uri() . '/images/testimonial1.png',
			),
			'2' => array(
				'group_title'        => '2',
				'group_sort'         => '2',
				'author_name'        => 'Willbert N. Duke',
				'author_designation' => 'Client',
				'author_content'     => 'Mauris quis dictum orci, non rutrum mauris. Aliquam pretium nibh euismod convallis pretium. Cras nec sem ex. Donec eget accumsan tortor. Vivamus id augue elementum, aliquet sem at, porta mauris. Nullam ultrices sodales elit, sit amet elementum nulla aliquam a. Vivamus viverra hendrerit eros a tincidunt. Phasellus in ullamcorper lorem.',
				'author_pic'         => get_template_directory_uri() . '/images/testimonial1.png',
			),
			'3' => array(
				'group_title'        => '3',
				'group_sort'         => '3',
				'author_name'        => 'Willbert N. Duke',
				'author_designation' => 'Client',
				'author_content'     => 'Mauris quis dictum orci, non rutrum mauris. Aliquam pretium nibh euismod convallis pretium. Cras nec sem ex. Donec eget accumsan tortor. Vivamus id augue elementum, aliquet sem at, porta mauris. Nullam ultrices sodales elit, sit amet elementum nulla aliquam a. Vivamus viverra hendrerit eros a tincidunt. Phasellus in ullamcorper lorem.',
				'author_pic'         => get_template_directory_uri() . '/images/testimonial1.png',
			),
		),
	),

	array(
		'id'    => 'author_name_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Name Font', 'pets' ),
		'std'   => array(
			'preview-text'  => 'Author Name',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '700',
			'font-size'     => '28px',
			'color'         => '#566073',
			'css-selectors' => '.testimonials-content h3',
		),
	),
	array(
		'id'    => 'author_designation_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Designation Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Author Designation',
			'preview-color'  => 'light',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#fc7f7f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 2.506px;',
			'css-selectors'  => '.testimonials-content p.subheading',
		),
	),
	array(
		'id'    => 'author_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Content Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Author Content',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '400',
			'font-size'      => '20px',
			'line-height'    => '35px',
			'color'          => '#566073',
			'additional-css' => 'font-style: italic;',
			'css-selectors'  => '.testimonials-content p.testimonial',
		),
	),

	array(
		'id'    => 'testimonials_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'pets' ),
	),

	array(
		'id'       => 'testimonials_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Testimonials Section Background', 'pets' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'pets' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'testimonials_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'pets' ),
		'sub_desc' => esc_html__( 'Set testimonials section padding from here.', 'pets' ),
		'std'      => array(
			'top'    => '150px',
			'right'  => '0',
			'bottom' => '213px',
			'left'   => '0',
		),
	),

);
