<?php
/**
 * HomePage Why us Section
 *
 * @package Pets
 */

$menus['homepage']['child']['homepage-whyus'] = array(
	'title' => esc_html__( 'Why us', 'pets' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Why us Section.', 'pets' ),
);

$sections['homepage-whyus'] = array(

	array(
		'id'       => 'whyus_image',
		'type'     => 'upload',
		'title'    => esc_html__( 'Image', 'pets' ),
		'sub_desc' => esc_html__( 'Minimum Size: 685 X 600 in pixel.', 'pets' ),
		'return'   => 'url',
		'std'      => get_template_directory_uri() . '/images/whyus.jpg',
	),

	array(
		'id'       => 'whyus_top_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Top Title', 'pets' ),
		'sub_desc' => esc_html__( 'Enter top title for why us section.', 'pets' ),
		'std'      => 'Why People',
	),
	array(
		'id'    => 'whyus_top_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top Title Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Top Title',
			'preview-color'  => 'light',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '22px',
			'color'          => '#8cd7d7',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 10px;',
			'css-selectors'  => '.whyus-section .top-heading',
		),
	),

	array(
		'id'       => 'whyus_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'pets' ),
		'sub_desc' => esc_html__( 'Enter title for why us section.', 'pets' ),
		'std'      => 'Choose Us?',
	),
	array(
		'id'    => 'whyus_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'light',
			'font-family'    => 'Quicksand',
			'font-weight'    => '700',
			'font-size'      => '50px',
			'color'          => '#566073',
			'additional-css' => 'letter-spacing: -3.5px;',
			'css-selectors'  => '.whyus-section h2',
		),
	),

	array(
		'id'        => 'whyus_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Why us Lists', 'pets' ),
		'sub_desc'  => esc_html__( 'Customize the Why us Lists from here.', 'pets' ),
		'groupname' => esc_html__( 'list', 'pets' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'whyus_list_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'pets' ),
			),
			array(
				'id'    => 'whyus_list_text',
				'type'  => 'text',
				'title' => esc_html__( 'Text', 'pets' ),
			),
			array(
				'id'    => 'whyus_list_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Select Icon', 'pets' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'      => '1',
				'group_sort'       => '1',
				'whyus_list_title' => 'Top Groomers',
				'whyus_list_text'  => 'Ut enim ad minim veniam, quis nostrud exercitation ullamco pertrudo balticos ibn hatab.',
				'whyus_list_icon'  => 'scissors',
			),
			'2' => array(
				'group_title'      => '2',
				'group_sort'       => '2',
				'whyus_list_title' => 'Security Program',
				'whyus_list_text'  => 'Ut enim ad minim veniam, quis nostrud exercitation ullamco pertrudo balticos ibn hatab.',
				'whyus_list_icon'  => 'shield',
			),
			'3' => array(
				'group_title'      => '3',
				'group_sort'       => '3',
				'whyus_list_title' => 'We Love Every Pet',
				'whyus_list_text'  => 'Ut enim ad minim veniam, quis nostrud exercitation ullamco pertrudo balticos ibn hatab.',
				'whyus_list_icon'  => 'paw',
			),
		),
	),

	array(
		'id'    => 'whyus_list_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'List Title Font', 'pets' ),
		'std'   => array(
			'preview-text'  => 'List Title',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '700',
			'font-size'     => '20px',
			'color'         => '#8cd7d7',
			'css-selectors' => '.whyus-content h3',
		),
	),
	array(
		'id'    => 'whyus_list_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'List Text Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'List Text',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '300',
			'font-size'      => '15px',
			'line-height'    => '24px',
			'color'          => '#566073',
			'additional-css' => 'letter-spacing: 0.255px;',
			'css-selectors'  => '.whyus-content p',
		),
	),

	array(
		'id'    => 'whyus_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'pets' ),
	),

	array(
		'id'       => 'whyus_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Why us Section Background', 'pets' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'pets' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#eef9f9',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'whyus_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'pets' ),
		'sub_desc' => esc_html__( 'Set why us section padding from here.', 'pets' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

);
