<?php
/**
 * Single AuthorBox
 *
 * @package Pets
 */

$menus['single-nextpost'] = array(
	'title' => esc_html__( 'Next and Previous', 'pets' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of next and previous posts section in single posts page.', 'pets' ),
);

$sections['single-nextpost'] = array(

	array(
		'id'    => 'nextpost_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'General Settings', 'pets' ),
	),
	array(
		'id'       => 'nextpost_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Next and Previous Posts Background', 'pets' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe box from here.', 'pets' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'nextpost_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'pets' ),
		'sub_desc' => esc_html__( 'Set Next and Previous Posts margin from here.', 'pets' ),
		'std'      => array(
			'top'    => '48px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'nextpost_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'pets' ),
		'sub_desc' => esc_html__( 'Set Next and Previous Posts padding from here.', 'pets' ),
		'std'      => array(
			'top'    => '27px',
			'right'  => '32px',
			'bottom' => '27px',
			'left'   => '32px',
		),
	),
	array(
		'id'       => 'nextpost_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'pets' ),
		'sub_desc' => esc_html__( 'Next and Previous Posts border radius.', 'pets' ),
		'std'      => '15',
		'args'     => array( 'type' => 'number' ),
	),

	array(
		'id'    => 'nextpost_top_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Next and Previous Posts Top Title Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Next and Previous Posts Top Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'line-height'    => '1',
			'color'          => pets_get_settings( 'primary_color_scheme' ),
			'additional-css' => 'text-transform: uppercase; letter-spacing: 2.856px;',
			'css-selectors'  => '.nextpost-wrapper a',
		),
	),
	array(
		'id'    => 'nextpost_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Next and Previous Posts Title Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Next and Previous Posts Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '700',
			'font-size'      => '20px',
			'line-height'    => '24px',
			'color'          => '#566073',
			'additional-css' => 'text-transform: none; letter-spacing: 0;',
			'css-selectors'  => '.nextpost-wrapper h3, .nextpost-wrapper h3 a',
		),
	),

);
