<?php
/**
 * Single Styling
 *
 * @package Pets
 */

$menus['single-styling'] = array(
	'title' => esc_html__( 'Single Styling', 'pets' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single posts page.', 'pets' ),
);

$sections['single-styling'] = array(

	array(
		'id'    => 'single_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Single Titles Styling', 'pets' ),
	),

	array(
		'id'       => 'single_title_alignment',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Single Page Title Alignment', 'pets' ),
		'sub_desc' => esc_html__( 'Choose the single page title alignment', 'pets' ),
		'options'  => array(
			'left'   => esc_html__( 'Left', 'pets' ),
			'center' => esc_html__( 'Center', 'pets' ),
			'right'  => esc_html__( 'Right', 'pets' ),
		),
		'std'      => 'left',
	),

	array(
		'id'       => 'single_title_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Single Page Title Background Color', 'pets' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'pets' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'single_title_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Page Title Padding', 'pets' ),
		'sub_desc' => esc_html__( 'Set single page title padding from here.', 'pets' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_title_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'pets' ),
		'sub_desc' => esc_html__( 'Select border', 'pets' ),
	),

	array(
		'id'    => 'mts_single_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Single Styling', 'pets' ),
	),

	array(
		'id'       => 'single_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Background', 'pets' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image of Single, Page, Archive, Search, Category and 404 Page from here.', 'pets' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'mts_single_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Margin', 'pets' ),
		'sub_desc' => esc_html__( 'Set single post margin from here.', 'pets' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => '112px',
		),
	),
	array(
		'id'       => 'mts_single_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Padding', 'pets' ),
		'sub_desc' => esc_html__( 'Set single post padding from here.', 'pets' ),
		'std'      => array(
			'top'    => '40px',
			'right'  => '48px',
			'bottom' => '38px',
			'left'   => '48px',
		),
	),
	array(
		'id'       => 'single_styling_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'pets' ),
		'sub_desc' => esc_html__( 'Select border', 'pets' ),
	),
	array(
		'id'    => 'single_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Post Title', 'pets' ),
		'std'   => array(
			'preview-text'  => 'Single Article Title',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '700',
			'font-size'     => '32px',
			'color'         => '#566073',
			'css-selectors' => '.single-title',
		),
	),
	array(
		'id'    => 'single_author_meta_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Meta Info Font', 'pets' ),
		'std'   => array(
			'preview-text'  => 'Author Meta Info',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '700',
			'font-size'     => '18px',
			'color'         => '#566073',
			'css-selectors' => '.author-meta-info, .author-meta-info a',
		),
	),
	array(
		'id'    => 'mts_single_meta_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Meta Info Font', 'pets' ),
		'std'   => array(
			'preview-text'   => 'Post Meta Info Font',
			'preview-color'  => 'light',
			'font-family'    => 'Muli',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#566073',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 0.504px;',
			'css-selectors'  => '.single_post .post-info, .single_post .post-info a, .archive .post-info, .archive .post-info a, .search .post-info, .search .post-info a',
		),
	),

	array(
		'id'    => 'single_others_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Other Styling', 'pets' ),
	),

	array(
		'id'       => 'tags_bgcolor',
		'type'     => 'color',
		'title'    => esc_html__( 'Tags background color', 'pets' ),
		'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'pets' ),
		'std'      => '#ffffff',
	),

	array(
		'id'       => 'blockquote_bgcolor',
		'type'     => 'color',
		'title'    => esc_html__( 'Blockquote Background Color', 'pets' ),
		'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'pets' ),
		'std'      => '#eef9f9',
	),

	array(
		'id'       => 'single_page_titles_font',
		'type'     => 'typography',
		'title'    => esc_html__( 'Single Sections Title', 'pets' ),
		'sub_desc' => esc_html__( 'Manage Title typography of Related Posts, Comments and Reply from here.', 'pets' ),
		'std'      => array(
			'preview-text'  => 'Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Muli',
			'font-weight'   => '700',
			'font-size'     => '28px',
			'line-height'   => '1',
			'color'         => '#566073',
			'css-selectors' => '.related-posts h4, #respond h3, #respond h4, .total-comments',
		),
	),

);
