<?php
/**
 * Single Tab
 *
 * @package Pets
 */

$menus['single-general'] = array(
	'title' => esc_html__( 'General', 'pets' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single posts page.', 'pets' ),
);

$sections['single-general'] = array(

	array(
		'id'       => 'show_single_featured',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Featured image', 'pets' ),
		'sub_desc' => esc_html__( 'Enable/Disable the Featured images in the single post.', 'pets' ),
		'std'      => '1',
	),

	array(
		'id'       => 'mts_single_post_layout',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Single Post Layout', 'pets' ),
		'sub_desc' => esc_html__( 'Customize the look of single posts', 'pets' ),
		'options'  => array(
			'enabled'  => array(
				'content'  => array(
					'label'     => esc_html__( 'Post Content', 'pets' ),
					'subfields' => array(),
				),
				'nextpost' => array(
					'label'     => esc_html__( 'Next Post', 'pets' ),
					'subfields' => array(),
				),
				'author'   => array(
					'label'     => esc_html__( 'Author Box', 'pets' ),
					'subfields' => array(),
				),
				'related'  => array(
					'label'     => esc_html__( 'Related Posts', 'pets' ),
					'subfields' => array(
						array(
							'id'       => 'related_post_title',
							'type'     => 'text',
							'title'    => esc_html__( 'Related Posts Title', 'pets' ),
							'sub_desc' => esc_html__( 'Enter the title text to show in the related posts section.', 'pets' ),
							'std'      => 'Related Posts',
						),
						array(
							'id'       => 'mts_related_posts_taxonomy',
							'type'     => 'switch',
							'title'    => esc_html__( 'Related Posts Taxonomy', 'pets' ),
							'options'  => array(
								'tags'       => esc_html__( 'Tags', 'pets' ),
								'categories' => esc_html__( 'Categories', 'pets' ),
							),
							'class'    => 'green',
							'sub_desc' => esc_html__( 'Related Posts based on tags or categories.', 'pets' ),
							'std'      => 'categories',
						),
					),
				),
			),
			'disabled' => array(
				'subscribe' => array(
					'label'     => esc_html__( 'Subscribe Box', 'pets' ),
					'subfields' => array(),
				),
			),
		),
	),

	array(
		'id'       => 'show_single_author_meta_info',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show/Hide Author Meta Info', 'pets' ),
		'sub_desc' => esc_html__( 'Use this button to show or hide Author Meta Info.', 'pets' ),
		'std'      => '1',
	),

	array(
		'id'       => 'mts_single_headline_meta_info',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Single Meta Info', 'pets' ),
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on single page', 'pets' ),
		'options'  => array(
			'enabled'  => array(
				'date'    => array(
					'label'     => esc_html__( 'Date', 'pets' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'pets' ),
						),
					),
				),
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'pets' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'pets' ),
						),
					),
				),
				'time'    => array(
					'label'     => __( 'Reading Time', 'pets' ),
					'subfields' => array(
						array(
							'id'       => 'mts_single_meta_info_time_icon',
							'type'     => 'icon_select',
							'title'    => esc_html__( 'Select Icon', 'pets' ),
							// translators: link to plugin.
							'sub_desc' => sprintf( wp_kses_post( __( 'Need Time to Read plugin for this option. <a href="%s">Click here</a> to install it.', 'pets' ) ), 'https://mythemeshop.com/plugins/wp-time-to-read/' ),
						),
					),
				),
			),
			'disabled' => array(
				'category' => array(
					'label'     => esc_html__( 'Categories', 'pets' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'pets' ),
						),
					),
				),
			),
		),
	),

	array(
		'id'       => 'mts_author_comment',
		'type'     => 'switch',
		'title'    => esc_html__( 'Highlight Author Comment', 'pets' ),
		'sub_desc' => esc_html__( 'Use this button to highlight author comments.', 'pets' ),
		'std'      => '1',
	),

	array(
		'id'       => 'mts_comment_date',
		'type'     => 'switch',
		'title'    => esc_html__( 'Date in Comments', 'pets' ),
		'sub_desc' => esc_html__( 'Use this button to show the date for comments.', 'pets' ),
		'std'      => '1',
	),
);
