<?php
/**
 * Author info for posts.
 *
 * @package Pets
 */

$featured = pets()->featured_layouts;

if ( ! is_single() && ! is_archive() && ! is_search() ) {
  $show_meta_info = pets_get_settings( 'show_author_meta_info_' . $featured->current['unique_id'] );
} else {
  $show_meta_info = pets_get_settings( 'show_single_author_meta_info' );
}

if ( ! $show_meta_info ) {
  return;
}

echo '<div class="author-meta-info">';

// Author gravatar.
if ( function_exists( 'get_avatar' ) ) {
  echo get_avatar( get_the_author_meta( 'email' ), '40' ); // Gravatar size.
}
?>
<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" class="fn">
  <?php the_author_meta( 'display_name' ); ?>
</a>

<?php
$userid     = get_current_user_id();
$profession = get_the_author_meta( 'profession', $userid );
echo '<span class="profession">' . $profession . '</span>';

echo '</div>';
