<?php
/**
 * Footer Section - Contact
 *
 * @package Pets
 */

if ( ! pets_get_settings( 'footer_contact' ) ) {
	return;
}

$page      = pets_get_settings( 'footer_contact_location' );
$condition = false;

global $template;

if ( 'all' === $page ) {
	$condition = true;
} elseif ( 'home' === $page ) {
	if ( 'page-home.php' === basename( $template ) ) {
		$condition = true;
	}
} elseif ( 'blog' === $page ) {
	if ( is_home() && 'page-home.php' !== basename( $template ) ) {
		$condition = true;
	}
} elseif ( 'single' === $page ) {
	if ( is_single() ) {
		$condition = true;
	}
} elseif ( 'both' === $page ) {
	if ( is_home() || is_single() ) {
		$condition = true;
	}
}

$top_title = pets_get_settings( 'contact_top_title' );
$title     = pets_get_settings( 'contact_title' );
$text      = pets_get_settings( 'contact_text' );

if ( $condition ) {
?>

<section class="contact-section clearfix">

	<div class="container">

		<?php
		echo '<div class="left">';

		if ( ! empty( $top_title ) ) {
			echo '<div class="top-heading">' . $top_title . '</div>';
		}
		if ( ! empty( $title ) ) {
			echo '<h2>' . $title . '</h2>';
		}
		if ( ! empty( $text ) ) {
			echo '<p>' . $text . '</p>';
		}

		echo '</div>';

		echo '<div class="right">';

		echo '<div class="contact-wrapper">';
		mts_contact_form();
		echo '</div>';

		echo '</div>';
		?>

	</div><!-- .container -->

</section>

<?php } ?>
