<?php
/**
 * Homepage Section - Blog
 *
 * @package Pets
 */

global $wp_query;

$top_title     = pets_get_settings( 'blog_top_title' );
$title         = pets_get_settings( 'blog_title' );
$text          = pets_get_settings( 'blog_text' );
$blog_post_num = pets_get_settings( 'blog_post_num' );

$wp_query = new WP_Query( array( 'posts_per_page' => $blog_post_num ) );

if ( empty( $top_title ) && empty( $title ) && empty( $text ) && empty( $blog_post_num ) && empty( $wp_query ) ) {
	return;
}
?>

<section class="blog-section clearfix">

	<div class="container">

		<?php
		if ( ! empty( $top_title ) ) {
			echo '<div class="top-heading">' . $top_title . '</div>';
		}
		if ( ! empty( $title ) ) {
			echo '<h2>' . $title . '</h2>';
		}
		if ( ! empty( $text ) ) {
			echo '<p>' . $text . '</p>';
		}

		echo '<ul class="post-wrapper">';

		if ( $wp_query->have_posts() ) :
			while ( $wp_query->have_posts() ) :
				$wp_query->the_post();
				?>
				<li>
					<div class="featured-thumbnail">
						<?php
						if ( has_post_thumbnail() ) {
							the_post_thumbnail( 'pets-blog-section', array(
								'alt'   => get_the_title(),
								'title' => get_the_title(),
							) );
						} else {
							echo '<img src="' . get_template_directory_uri() . '/images/nothumb-pets-blog-section.png" alt="' . __( 'No Preview', 'pets' ) . '"  class="wp-post-image" />';
						}
						?>
					</div>
					<div class="wrapper">
						<div class="post-meta"><?php echo pets_get_the_category( ', ' ); ?></div>
						<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="title">
							<h3><?php the_title(); ?></h3>
						</a>
						<div class="front-view-content">
							<?php
							if ( empty( pets_excerpt() ) ) {
								echo pets_truncate( get_the_content(), 22, 'words' );
							} else {
								echo pets_excerpt( 22 );
							}
							?>
						</div>
						<?php
						pets_readmore();
						?>
					</div>
				</li>

			<?php
			endwhile;
		endif;

		echo '</ul>';
		?>

	</div><!-- .container -->

</section>
