<?php
/**
 * Homepage Section - Featured
 *
 * @package Pets
 */

$img          = pets_get_settings( 'featured_image' );
$top_title    = pets_get_settings( 'featured_top_title' );
$title        = pets_get_settings( 'featured_title' );
$text         = pets_get_settings( 'featured_text' );
$button1_text = pets_get_settings( 'featured_button1_text' );
$button1_url  = pets_get_settings( 'featured_button1_url' );
$button2_text = pets_get_settings( 'featured_button2_text' );
$button2_url  = pets_get_settings( 'featured_button2_url' );

if ( empty( $img ) && empty( $top_title ) && empty( $title ) && empty( $text ) && empty( $button1_text ) && empty( $button1_url ) && empty( $button2_text ) && empty( $button2_url ) ) {
	return;
}
?>

<section class="featured-section clearfix">

	<div class="container">

		<?php
		if ( ! empty( $img ) ) {
			echo '<div class="featured-image"><img src="' . $img . '"></div>';
		}
		if ( ! empty( $top_title ) ) {
			echo '<div class="top-heading">' . $top_title . '</div>';
		}
		if ( ! empty( $title ) ) {
			echo '<h2>' . $title . '</h2>';
		}
		if ( ! empty( $text ) ) {
			echo '<p>' . $text . '</p>';
		}
		if ( ! empty( $button1_text ) && ! empty( $button1_url ) ) {
			printf( '<a class="button" href="%1$s">%2$s</a>', $button1_url, $button1_text );
		}
		if ( ! empty( $button2_text ) && ! empty( $button2_url ) ) {
			printf( '<a class="button border" href="%1$s">%2$s</a>', $button2_url, $button2_text );
		}
		?>

	</div><!-- .container -->

</section>
