<?php
/**
 * Homepage Section - Services
 *
 * @package Pets
 */

$top_title      = pets_get_settings( 'services_top_title' );
$title          = pets_get_settings( 'services_title' );
$text           = pets_get_settings( 'services_text' );
$left_services  = pets_get_settings( 'left_services' );
$right_services = pets_get_settings( 'right_services' );

if ( empty( $top_title ) && empty( $title ) && empty( $text ) && empty( $left_services ) && ! is_array( $left_services ) && empty( $right_services ) && ! is_array( $right_services ) ) {
	return;
}
?>

<section class="services-section clearfix">

	<div class="container">

		<?php
		if ( ! empty( $top_title ) ) {
			echo '<div class="top-heading">' . $top_title . '</div>';
		}
		if ( ! empty( $title ) ) {
			echo '<h2>' . $title . '</h2>';
		}
		if ( ! empty( $text ) ) {
			echo '<p>' . $text . '</p>';
		}

		if ( $left_services && is_array( $left_services ) && $right_services && is_array( $right_services ) ) {

			// Services lists.
			echo '<div class="services-lists">';

			if ( ! empty( $left_services ) && is_array( $left_services ) ) {

				echo '<ul class="left-services">';
				foreach ( $left_services as $left_service ) {
					printf(
						'<li><div class="service-icon"><i class="fa fa-%1$s"></i></div><div class="service-content"><h3>%2$s</h3><p>%3$s</p></div></li>',
						$left_service['left_service_icon'],
						$left_service['left_service_title'],
						$left_service['left_service_text']
					);
				}
				echo '</ul>';

			}

			if ( $right_services && is_array( $right_services ) ) {

				echo '<ul class="right-services">';
				foreach ( $right_services as $right_service ) {
					printf(
						'<li><div class="service-icon"><i class="fa fa-%1$s"></i></div><div class="service-content"><h3>%2$s</h3><p>%3$s</p></div></li>',
						$right_service['right_service_icon'],
						$right_service['right_service_title'],
						$right_service['right_service_text']
					);
				}
				echo '</ul>';

			}

			echo '</div>';

		}
		?>

	</div><!-- .container -->

</section>
