<?php
/**
 * Homepage Section - Team
 *
 * @package Pets
 */

$top_title = pets_get_settings( 'team_top_title' );
$title     = pets_get_settings( 'team_title' );
$text      = pets_get_settings( 'team_text' );
$team_list = pets_get_settings( 'team_list' );

if ( empty( $top_title ) && empty( $title ) && empty( $text ) && empty( $team_list ) && ! is_array( $team_list ) ) {
	return;
}
?>

<section class="team-section clearfix">

	<div class="container">

		<?php
		if ( ! empty( $top_title ) ) {
			echo '<div class="top-heading">' . $top_title . '</div>';
		}
		if ( ! empty( $title ) ) {
			echo '<h2>' . $title . '</h2>';
		}
		if ( ! empty( $text ) ) {
			echo '<p>' . $text . '</p>';
		}

		if ( $team_list && is_array( $team_list ) ) {

			// Team lists.
			echo '<div class="team-lists">';

			echo '<ul class="team-container">';

			foreach ( $team_list as $team ) {
				printf(
					'<li>
						<div class="member-img"><img src="%1$s"></div>
						<div class="team-content">
							<h3>%2$s</h3>
							<p class="subheading">%3$s</p>
							<p>%4$s</p>
						</div>
						<div class="social-icons">
							<a href="%5$s"><i class="fa fa-facebook-official"></i></a>
							<a href="%6$s"><i class="fa fa-instagram"></i></a>
							<a href="%7$s"><i class="fa fa-pinterest"></i></a>
						</div>
					</li>',
					$team['member_pic'],
					$team['member_name'],
					$team['member_designation'],
					$team['member_content'],
					$team['team_fb_url'],
					$team['team_insta_url'],
					$team['team_pin_url']
				);
			}

			echo '</ul>';

			echo '</div>';

		}
		?>

	</div><!-- .container -->

</section>
